# date4/delta/const.rb: Written by Tadayoshi Funaba 2006
# $Id: const.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

require 'rational'

class Date4

  class Delta

    UNIT_PREFIXES = {
      'yotta'      => 10**24,
      'zetta'      => 10**21,
      'exa'        => 10**18,
      'peta'       => 10**15,
      'tera'       => 10**12,
      'giga'       => 10**9,
      'mega'       => 10**6,
      'kilo'       => 10**3,
      'hecto'      => 10**2,
      'deca'       => 10**1,
      'deka'       => 10**1,
      'deci'       => 10**-1,
      'centi'      => 10**-2,
      'milli'      => 10**-3,
      'decimilli'  => 10**-4,
      'centimilli' => 10**-5,
      'micro'      => 10**-6,
      'nano'       => 10**-9,
      'millimicro' => 10**-9,
      'pico'       => 10**-12,
      'micromicro' => 10**-12,
      'femto'      => 10**-15,
      'atto'       => 10**-18,
      'zepto'      => 10**-21,
      'yocto'      => 10**-24
    }

    UNITS = {
      'day'        => 1.to_r,
      'week'       => 1.to_r*7,
      'sennight'   => 1.to_r*7,
      'fortnight'  => 1.to_r*14,
      'hour'       => 1.to_r/24,
      'minute'     => 1.to_r/1440,
      'second'     => 1.to_r/86400
    }

    UNIT_PREFIXES.each do |k, v|
      UNITS[k + 'second'] = v * UNITS['second']
    end

    remove_const :UNIT_PREFIXES

  end

end
