# date4/format/locale/ja_JP.UTF_8.rb: Written by Tadayoshi Funaba 2006
# $Id: ja_JP.UTF_8.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Format

    class Locale

      JA_JP_UTF_8 = self.new(
{
   'id' => 'ja_JP.UTF_8',
   'style' => 'jp',

   'monthnames' => [nil] + %w(睦月 如月 弥生 卯月 皐月 水無月
			文月 葉月 長月 神無月 霜月 師走),

   'daynames' => %w(日曜日 月曜日 火曜日 水曜日 木曜日 金曜日 土曜日),

   'abbr_monthnames' => [nil] + %w(睦月 如月 弥生 卯月 皐月 水無月
			文月 葉月 長月 神無月 霜月 師走),

   'abbr_daynames' => %w(日 月 火 水 木 金 土),

   'ampmname' => %w(午前 午後),

   'months' => {
     '睦月'     => 1, '如月'     => 2, '弥生'     => 3, '卯月'     => 4,
     '皐月'     => 5, '水無月'   => 6, '文月'     => 7, '葉月'     => 8,
     '長月'     => 9, '神無月'   =>10, '霜月'     =>11, '師走'     =>12
   },

   'days' => {
     '日曜日'   => 0, '月曜日'   => 1, '火曜日'   => 2, '水曜日'   => 3,
     '木曜日'   => 4, '金曜日'   => 5, '土曜日'   => 6
   },

   'abbr_months' => {
     '睦月'     => 1, '如月'     => 2, '弥生'     => 3, '卯月'     => 4,
     '皐月'     => 5, '水無月'   => 6, '文月'     => 7, '葉月'     => 8,
     '長月'     => 9, '神無月'   =>10, '霜月'     =>11, '師走'     =>12
   },

   'abbr_days' => {
     '日'       => 0, '月'       => 1, '火'       => 2, '水'       => 3,
     '木'       => 4, '金'       => 5, '土'       => 6
   },

   'ampm' => {'午前' => 0, '午後' => 12},

   'x_fmt'    => '%y年%m月%d日',
   'X_fmt'    => '%H時%M分%S秒',
   'r_fmt'    => '%p%I時%M分%S秒',
   'c_fmt'    => '%Y年%m月%d日(%a) %H時%M分%S秒',
   'date_fmt' => '%Y年%m月%d日(%a) %H時%M分%S秒 %Z'
 })

    end

  end

end
