# date4/misc/parsearg.rb: Written by Tadayoshi Funaba 2006
# $Id: parsearg.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module ParseArg

    def parsearg(opts, args)
      hash = {}
      if args[-1].is_a?(Hash)
	hash = args.pop
      end
      actual = []
      opts.size.times do |i|
	actual[i] = args.shift
	actual[i] = opts[i][0] if actual[i].nil?
      end
      hash.dup.each do |k, v|
	opts.size.times do |i|
	  _, *keys = opts[i]
	  if keys.include?(k)
	    actual[i] = v
	    hash.delete(k)
	  end
	end
      end
      unless args.empty?
	raise ArgumentError, format('unused arguments %d',
				    args.size)
      end
      unless hash.empty?
	raise ArgumentError, format('unknown keyword %s',
				    hash.shift.shift.inspect)
      end
      if actual.include?(nil)
	raise ArgumentError, format('missing argument %d',
				    actual.index(nil))
      end
      actual
    end

    private :parsearg

  end

end
