# date4/timezone/bogus-tzfile.rb: Written by Tadayoshi Funaba 2006
# $Id: bogus-tzfile.rb,v 1.3 2006-09-22 23:27:00+09 tadf Exp $

require 'date4/timezone/system'

class Date4

  module TimeZone

    class BogusTZFile

      # This works fine on some systems.

      def initialize(tz) @tz = tz end

      def critical
	Thread.critical = true
	v = yield
	Thread.critical = false
	v
      end

      def env(tz)
	otz = ENV['TZ']
	ENV['TZ'] = tz
	v = yield
	ENV.delete('TZ')
	ENV['TZ'] = otz if otz
	v
      end

      private :critical, :env

      def lookup(ajd, adj)
	critical{env(@tz){System::Local.lookup(ajd, adj)}}
      end

      def inspect() format('#<%s: %s>', self.class, @tz) end
      def to_s() @tz.dup end

    end

  end

end
