# date4/timezone/iso8601.rb: Written by Tadayoshi Funaba 2006
# $Id: iso8601.rb,v 1.2 2006-09-22 23:27:00+09 tadf Exp $

require 'date4/format'

class Date4

  module TimeZone

    class ISO8601

      def initialize(s)
	@h = Module.nesting[-1]._strptime(s, '%z')
      end

      def lookup(ajd, adj)
	{:zone=>@h[:zone], :of=>@h[:offset].to_r/86400,
	  :utc=>@h[:zone] == 'Z', :dst=>false}
      end

      def inspect() format('#<%s: %s>', self.class, @h[:zone]) end
      def to_s() @h[:zone].dup end

      Z = self.new('Z')

      %w(0000 0100 0200 0300 0400 0500 0600 0700 0800 0900 1000 1100 1200).
	each do |d|

	module_eval <<-"end;"
	  P#{d} = self.new('+' + "#{d}".scan(/../).join(':'))
	end;

      end

      %w(0000 0100 0200 0300 0400 0500 0600 0700 0800 0900 1000 1100 1200).
	each do |d|

	module_eval <<-"end;"
	  M#{d} = self.new('-' + "#{d}".scan(/../).join(':'))
	end;

      end

    end

  end

end
