require 'date4'
require 'date4/timezone/system'

puts DateTime4.new(2006,6,6,:tz=>Date4::TimeZone::System::Local).strftime('%+')

require 'date4/timezone/posix'

EST = Date4::TimeZone::POSIX.new('EST5EDT,M4.1.0,M10.5.0')
puts DateTime4.new(2006,6,6,:tz=>EST).strftime('%+')

begin
  require 'date4/timezone/tzfile'

  CET = Date4::TimeZone::TZFile.new('Europe/Paris')
  puts DateTime4.new(2006,6,6,:tz=>CET).strftime('%+')
rescue LoadError
rescue
end

begin
  require 'date4/timezone/tzinfo'

  JST = Date4::TimeZone::TZInfo.new('Asia/Tokyo')
  puts DateTime4.new(2006,6,6,:tz=>JST).strftime('%+')
rescue LoadError
end

d = DateTime4.parse('2006-06-06') - DateTime4.parse('2006-06-05T23:00')
puts [d.in_minutes, d.in_seconds, d.in_nanoseconds]

dt = DateTime4.new(2006,6,6,:tz=>EST)
puts dt.strftime('%+')

dt -= Date4::Delta.parse('180 days and 12 hours')
puts dt.strftime('%+')

dt += Date4::Delta.parse('-(2 fortnights - 1 hour * 673)')
puts dt.strftime('%+')

require 'date4/format/locale/fr'

d = DateTime4.parse('01/02/2006', :lc=>Date4::Format::Locale::FR)
puts d.strftime('%+', :lc=>Date4::Format::Locale::FR)
